%global    gem_name    thread_order
Name:                rubygem-%{gem_name}
Version:             1.1.1
Release:             1
Summary:             Test helper for ordering threaded code
License:             MIT
URL:                 https://github.com/JoshCheek/thread_order
Source0:             https://rubygems.org/gems/thread_order-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel rubygem(rspec) >= 3
BuildArch:           noarch
%description
Test helper for ordering threaded code.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
    %{buildroot}%{gem_dir}/
pushd %{buildroot}
rm -f .%{gem_cache}
pushd .%{gem_instdir}
rm -rf \
    .gitignore .travis.yml \
    Gemfile \
    spec/ \
    %{gem_name}.gemspec \
    %{nil}
popd
popd

%check
FAILFILE=()
FAILTEST=()
FAILFILE+=("spec/thread_order_spec.rb")
FAILTEST+=("is implemented without depending on the stdlib")
pushd .%{gem_instdir}
for ((i = 0; i < ${#FAILFILE[@]}; i++)) {
    sed -i \
        -e "\@${FAILTEST[$i]}@s|do$|, :broken => true do|" \
        ${FAILFILE[$i]}
}
rspec spec/ || \
    rspec spec/ --tag ~broken
popd

%files
%dir    %{gem_instdir}
%license    %{gem_instdir}/License.txt
%doc    %{gem_instdir}/Readme.md
%{gem_libdir}
%{gem_spec}

%files help
%doc    %{gem_docdir}

%changelog
* Sat Aug 22 2020 liyanan <liyanan32@huawei.com> - 1.1.1-1
- package init
